#ifndef PWPDEMO_H
#define PWPDEMO_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

#include "../pwplib/pwplib.h"

#define SIN(a) (sin((a)*3.1415926/128)*32767)
#define COS(a) ((3.1415926/2)+(cos((a)*3.1415926/128))*32767)

#define MAX(a,b) ((a)>(b)?(a):(b))
#define MIN(a,b) ((a)<(b)?(a):(b))


void initfontbuf();
void setfontbuf(char*txt,int blend);


typedef struct {
   int width,height;
   u8*pict;
   u8*mask;
} sprite;

void zoomsprite_gen(int x0,int y0,sprite*sp,int zoom);

#endif /* PWPDEMO_H */
