#ifndef PWP_CONVERT_H
#define PWP_CONVERT_H

#include "pwplib.h"

#ifndef __CONVERT_C
  extern
#endif
struct
{
  u8  rast[256*2];
  u8  font[256],col[256];

  u16 tab1to12[256];
  /*  tab1to22 */
  
  u16 megatab[256*256];
  u16 rasthalve[256*256];

  void(*orig_dump_attr)();
} pwpconv;

/* convert.c */
void conv_init(int colors,int chars,int rasters);

/* attrconv.c */
void convcalc_1to12(void);
void convcalc_ascii(void);
void convcalc_termsafe(void);
void convcalc_monotab(int parms);
void convcalc_colortab(int parms);
void convcalc_megatab_finish(int flags);
void conv_dump_ibm_megatab(void);
void conv_dump_ibm(void);

/* rastconv.c */
void convcalc_rast_ibmcol(void);
void conv_dump_rast(void);
void convcalc_rast_col(void);
void convcalc_rast_mono(void);
void conv_fromrast_full(u8*d,u8*s,int lgt);

#endif /* PWP_CONVERT_H */
